Templates
GET
Lists all templates belonging to an organization.
ApiKeyAuthheader
Authorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
Format
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
type?stringFilter by template type
Value in
"EmailAutoReply""QuickResponse"The list of templates in an organization
application/json- response
data?array<|>meta?curl -X GET 'https://dev.dixa.io/v1/templates?type=QuickResponse' \ -H 'Authorization: <API token>'{}
"data": []
{},
"id": "f8e20c27-c63c-4877-b95a-09a367660578",
"name": "30-days return policyy",
"content": "Hi {{requester_firstname}},\n\nWhen you shop at Company Name we offer a 30 day no-hassle return policy\n\nYou're welcome!!!!\n\n{{csid}}\n\nregards,\n{{agent_firstname}}",
"createdBy": "80466b45-2de8-4693-a62e-6ebacaac58d0",
"createdAt": "2017-09-27T14:27:54.371+00:00",
"lastEditedBy": "5e8e95e3-60d3-4350-b6d7-b750728af080",
"lastEditedAt": "2024-06-21T11:43:29.877+00:00",
"translations": [],
{},
"locale": "da",
"content": "Hej {{requester_firstname}},\n\nNår du handler hos Company Name, tilbyder vi en 30 dages returpolitik uden besvær\n\nDu er velkommen!!!!\n\n{{csid}}\n\nvenlig hilsen,\n{{agent_firstname}}",
"isDeactivated": false,
"subject": "30-dages returpolitik hos Company Name csid:{{csid}} agent_firstname:{{agent_firstname}} requester_firstname:{{requester_firstname}}"
{},
"locale": "de-AT",
"content": "Hallo {{requester_firstname}},\n\nWenn Sie bei Company Name einkaufen, bieten wir Ihnen ein 30-tägiges Rückgaberecht ohne Aufwand\n\nWillkommen!!!!\n\n{{csid}}\n\nmit freundlichen Grüßen,\n{{agent_firstname}}",
"isDeactivated": false,
"subject": "30-Tage-Rückgaberecht bei Company Name csid:{{csid}} agent_firstname:{{agent_firstname}} requester_firstname:{{requester_firstname}}"
{}
"locale": "uz-Arab-AF",
"content": "ياخشى {{requester_firstname}},\\n\\nسزنىڭ دوكانىمىزدا سودا قلگانىڭىز ئۈچۈن، 30 كۇنلىك قىينىقسىز قايتارىش سىياسىتى تەقدىم قىلامىز\\n\\nخۇش كەپسىز!!!!\\n\\n{{csid}}\\n\\nھۆرمەت بىلەن,\\n{{agent_firstname}}",
"isDeactivated": false,
"subject": "30-روزه قايتارىش سىياسىتى بۇلادى Company Name csid:{{csid}} agent_firstname:{{agent_firstname}} requester_firstname:{{requester_firstname}}"
"subject": "30-days return policy at Company Name csid:{{csid}} agent_firstname:{{agent_firstname}} requester_firstname:{{requester_firstname}}",
"_type": "QuickResponse"
{}
"id": "08ee5fe1-11c8-4365-87c8-70da0ffd6fb4",
"name": "Welcome message",
"content": "Hi {{requester_firstname}},\n\nWelcome to Company Name! We're excited to have you as a customer\n\n{{csid}}\n\nBest,\n{{agent_firstname}}",
"createdBy": "80466b45-2de8-4693-a62e-6ebacaac58d0",
"createdAt": "2017-09-27T14:27:54.371+00:00",
"_type": "EmailAutoReply"
DELETE
Deletes the template. Please make sure the template is not used in flows and automations as this operation is irreversible.
ApiKeyAuth settings.templateheader
Authorization<token>Scope: settings.template
templateId*stringThe template id
Format
uuidThe template was successfully deleted
curl -X DELETE 'https://dev.dixa.io/v1/templates/{templateId}' \ -H 'Authorization: <API token>'Empty